// BrowserDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RSSSubmit.h"
#include "BrowserDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBrowserDlg dialog


CBrowserDlg::CBrowserDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBrowserDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBrowserDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CBrowserDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBrowserDlg)
	DDX_Control(pDX, IDC_BROWSECANCEL, m_Cancel);
	DDX_Control(pDX, IDC_BROWSEDONE, m_Done);
	DDX_Control(pDX, IDC_EXPLORER1, m_Browser);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBrowserDlg, CDialog)
	//{{AFX_MSG_MAP(CBrowserDlg)
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_BROWSEDONE, OnDone)
	ON_BN_CLICKED(IDC_BROWSECANCEL, OnCancel)
	ON_WM_ERASEBKGND()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBrowserDlg message handlers

BOOL CBrowserDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// Tool Tips
	m_ToolTipCtrl.Create(this);
	m_ToolTipCtrl.AddTool(&m_Done, "Next");
	m_ToolTipCtrl.AddTool(&m_Cancel, "Cancel");

	// Set title
	SetWindowText(gProgramName);
	
	m_Browser.CreateFromControl(this, IDC_EXPLORER1);
	m_Browser.Navigate(m_URL);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CBrowserDlg::OnClose() 
{
	EndDialog(1);
	
	CDialog::OnClose();
}

void CBrowserDlg::OnDone() 
{
	EndDialog(1);
}

void CBrowserDlg::OnCancel() 
{
	EndDialog(2);
}

BOOL CBrowserDlg::PreTranslateMessage(MSG* pMsg) 
{
	m_ToolTipCtrl.RelayEvent(pMsg);
	
	return CDialog::PreTranslateMessage(pMsg);
}

BOOL CBrowserDlg::OnEraseBkgnd(CDC* pDC) 
{
	CRect rect;
	GetClientRect(&rect);
	pDC->FillSolidRect(&rect, OUR_BGCOLOR);
	return FALSE;
}
