#ifndef __FEED_FUNCTIONS_H__
#define __FEED_FUNCTIONS_H__

#include <vector>
#include <string>
#include <stdio.h>

struct FEED
{
	std::string title, description, url, category, weburl, country, language, name, email;
};

extern std::vector < FEED > gFeeds;
extern std::vector < FEED > gSelectedFeeds;
extern FEED gLastFeed;
extern std::vector < int > gSelectedEngines;
extern std::vector < int > gSelectedManEngines;
extern int gDisplayValidation;

int LoadFeeds();
int SaveFeeds();

void AddToLog(const char *message);
void ViewLog();
void ClearLog();

#endif