#if !defined(AFX_PROGRESSDLG_H__F5FEC4DA_D1B7_42AC_988B_B48D32A459A2__INCLUDED_)
#define AFX_PROGRESSDLG_H__F5FEC4DA_D1B7_42AC_988B_B48D32A459A2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProgressDlg.h : header file
//
#include "FeedFunctions.h"
#include <curl.h>
#include "PictureEx.h"
#include "ColorStatic.h"

#define MAX_SITES 41
#define MAX_MAN_SITES 10
extern const char *gSites[][14];
extern const char *gManSites[][14];

/////////////////////////////////////////////////////////////////////////////
// CProgressDlg dialog

class CProgressDlg : public CDialog
{
// Construction
public:
	void SubmitAll();
	int m_Task;
	CWinThread *m_Thread;

	void ValidateAll();
	CProgressDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CProgressDlg)
	enum { IDD = IDD_PROGRESSDIALOG };
	CStaticButton	m_Cancel;
	CColorStatic	m_TextProgress;
	CColorStatic	m_CurrentSite;
	CProgressCtrl	m_SiteProgress;
	CProgressCtrl	m_ProgressBar;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProgressDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CProgressDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCancelProgress();
	afx_msg void OnClose();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROGRESSDLG_H__F5FEC4DA_D1B7_42AC_988B_B48D32A459A2__INCLUDED_)
