#include "StdAfx.h"
#include "CurlFunctions.h"

void init_curl()
{
	curl_global_init(CURL_GLOBAL_WIN32);
}

void cleanup_curl()
{
	curl_global_cleanup();
}

CURL *get_curl_easy()
{
	return curl_easy_init();
}

void cleanup_curl_easy(CURL *curl)
{
	curl_easy_cleanup(curl);
}

MCURL *get_curl_multi()
{
	return curl_multi_init();
}

void cleanup_curl_multi(MCURL *curl)
{
	curl_multi_cleanup(curl);
}