// RSSSubmitDlg.h : header file
//
//{{AFX_INCLUDES()
#include "webbrowser2.h"
//}}AFX_INCLUDES
#include "SimpleBrowser.h"
#include <curl.h>

#if !defined(AFX_RSSSUBMITDLG_H__BFBEBFA4_24AB_4479_B208_7DFAF83ECD02__INCLUDED_)
#define AFX_RSSSUBMITDLG_H__BFBEBFA4_24AB_4479_B208_7DFAF83ECD02__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CRSSSubmitDlg dialog

class CRSSSubmitDlg : public CDialog
{
// Construction
public:
	void DoProgressDialog(int type);
	virtual void OnOK();
	void UpdateFeedList();
	CRSSSubmitDlg(CWnd* pParent = NULL);	// standard constructor

	CURL *m_curl;

// Dialog Data
	//{{AFX_DATA(CRSSSubmitDlg)
	enum { IDD = IDD_RSSSUBMIT_DIALOG };
	CListCtrl	m_FeedList;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSSSubmitDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRSSSubmitDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAddFeed();
	afx_msg void OnEditFeed();
	afx_msg void OnRemoveFeed();
	afx_msg void OnValidate();
	afx_msg void OnSubmit();
	afx_msg void OnDestroy();
	afx_msg void OnKeydownFeedlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnValidateAll();
	afx_msg void OnSubmitAll();
	afx_msg void OnManualSubmit();
	afx_msg void OnCheckupdate();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSSSUBMITDLG_H__BFBEBFA4_24AB_4479_B208_7DFAF83ECD02__INCLUDED_)
