//{{AFX_INCLUDES()
#include "webbrowser2.h"
#include "SimpleBrowser.h"
#include "FeedFunctions.h"
#include "ColorStatic.h"
#include "CustomSlider.h"
//}}AFX_INCLUDES
#if !defined(AFX_RESULTSDLG_H__6E855E6D_4305_41A3_A584_BE0EF08D490E__INCLUDED_)
#define AFX_RESULTSDLG_H__6E855E6D_4305_41A3_A584_BE0EF08D490E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ResultsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CResultsDlg dialog

class CResultsDlg : public CDialog
{
// Construction
public:
	void UpdateSelection();
	void SetResults(std::vector < FEED > feeds);
	CResultsDlg(CWnd* pParent = NULL);   // standard constructor
	std::vector < FEED > Feeds;
	int m_Sites;

// Dialog Data
	//{{AFX_DATA(CResultsDlg)
	enum { IDD = IDD_RESULTSDIALOG };
	CStaticButton	m_Prev;
	CCustomSlider	m_PageSlider;
	CColorStatic	m_CStatic;
	CListCtrl	m_List;
	SimpleBrowser	m_ResultView;
	CColorStatic	m_PageNote;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResultsDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CToolTipCtrl m_ToolTipCtrl;

	// Generated message map functions
	//{{AFX_MSG(CResultsDlg)
	afx_msg void OnClickResultlist(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnOdstatechangedResultlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcapturePageslider(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemchangedResultlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnNextSite();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPrev();
	afx_msg void OnClose();
	afx_msg void OnActionBack();
	afx_msg void OnFileCheckupdates();
	afx_msg void OnFileExit();
	afx_msg void OnLogClearlog();
	afx_msg void OnLogViewlog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESULTSDLG_H__6E855E6D_4305_41A3_A584_BE0EF08D490E__INCLUDED_)
