// StepNext.cpp : implementation file
//

#include "stdafx.h"
#include "RSSSubmit.h"
#include "StepNext.h"
#include "FeedFunctions.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CString gProgramName;

/////////////////////////////////////////////////////////////////////////////
// CStepNext dialog


CStepNext::CStepNext(CWnd* pParent /*=NULL*/)
	: CDialog(CStepNext::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStepNext)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}


void CStepNext::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStepNext)
	DDX_Control(pDX, IDC_INTROSTATIC, m_IntroBMP);
	DDX_Control(pDX, IDC_INTROUPGRADE, m_Upgrade);
	DDX_Control(pDX, IDC_INTRONEXT, m_Next);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStepNext, CDialog)
	//{{AFX_MSG_MAP(CStepNext)
	ON_BN_CLICKED(IDC_INTRONEXT, OnNext)
	ON_WM_ERASEBKGND()
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_INTROUPGRADE, OnUpdateClick)
	ON_COMMAND(ID_FILE_EXIT, OnFileExit)
	ON_COMMAND(ID_ACTION_NEXT, OnActionNext)
	ON_WM_DRAWITEM()
	ON_COMMAND(ID_FILE_CHECKUPDATES, OnFileCheckupdates)
	ON_COMMAND(ID_LOG_CLEARLOG, OnLogClearlog)
	ON_COMMAND(ID_LOG_VIEWLOG, OnLogViewlog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStepNext message handlers

void CStepNext::OnNext() 
{
	EndDialog(2);
}

BOOL CStepNext::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// Tooltips
	m_ToolTipCtrl.Create(this);
	m_ToolTipCtrl.AddTool(&m_Next, "Next");
	m_ToolTipCtrl.AddTool(&m_Upgrade, "Check for Update");

	HBITMAP hBmp = (HBITMAP)::LoadImage(
                NULL,
                "Intro.bmp",
                IMAGE_BITMAP,
                0,
                0,
                LR_LOADFROMFILE|LR_CREATEDIBSECTION
                );
	m_IntroBMP.SetBitmap(hBmp);

	FILE *fp = fopen("title.txt", "rb");
	if(!fp)
		gProgramName = "RSS Announcer";
	else
	{
		char temp[256];
		int len = fread(temp, 1, 256, fp);
		fclose(fp);
		temp[len] = 0;

		gProgramName = temp;
	}

	// Set title
	SetWindowText(gProgramName);

	// Menu
	CMenu *menu = GetMenu();
	menu->RemoveMenu(ID_ACTION_BACK, MF_BYCOMMAND);
	menu->RemoveMenu(ID_ACTION_VALIDATE, MF_BYCOMMAND);
	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CStepNext::OnEraseBkgnd(CDC* pDC) 
{
	CRect rect;
	GetClientRect(&rect);
	pDC->FillSolidRect(&rect, OUR_BGCOLOR);
	return FALSE;
	
	return CDialog::OnEraseBkgnd(pDC);
}

void CStepNext::OnClose() 
{
	EndDialog(0);
	
	CDialog::OnClose();
}

BOOL CStepNext::PreTranslateMessage(MSG* pMsg) 
{
	m_ToolTipCtrl.RelayEvent(pMsg);
	
	return CDialog::PreTranslateMessage(pMsg);
}

void CStepNext::OnUpdateClick() 
{
	WinExec("AutoUpdater.exe", SW_SHOW);
}

void CStepNext::OnFileExit() 
{
	EndDialog(0);
}

void CStepNext::OnActionNext() 
{
	EndDialog(2);
}

void CStepNext::OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct) 
{
	CDC* pDC = CDC::FromHandle(lpDrawItemStruct->hDC);
   COLORREF cr = (COLORREF)lpDrawItemStruct->itemData; // RGB in item data

   if (lpDrawItemStruct->itemAction & ODA_DRAWENTIRE)
   {
      // Paint the color item in the color requested
      CBrush br(cr);
      pDC->FillRect(&lpDrawItemStruct->rcItem, &br);
   }

   if ((lpDrawItemStruct->itemState & ODS_SELECTED) &&
      (lpDrawItemStruct->itemAction & (ODA_SELECT | ODA_DRAWENTIRE)))
   {
      // item has been selected - hilite frame
      COLORREF crHilite = RGB(255-GetRValue(cr),
                  255-GetGValue(cr), 255-GetBValue(cr));
      CBrush br(crHilite);
      pDC->FrameRect(&lpDrawItemStruct->rcItem, &br);
   }

   if (!(lpDrawItemStruct->itemState & ODS_SELECTED) &&
      (lpDrawItemStruct->itemAction & ODA_SELECT))
   {
      // Item has been de-selected -- remove frame
      CBrush br(cr);
      pDC->FrameRect(&lpDrawItemStruct->rcItem, &br);
   }
	
	CDialog::OnDrawItem(nIDCtl, lpDrawItemStruct);
}

void CStepNext::OnFileCheckupdates() 
{
	OnUpdateClick();
}

void CStepNext::OnLogClearlog() 
{
	ClearLog();
}

void CStepNext::OnLogViewlog() 
{
	ViewLog();
}
